package com.webstersmalley.iplayer;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.webstersmalley.iplayer.mp3.MP3Utils;
import com.webstersmalley.iplayer.organiser.PostDownloadProcessor;

/**
 *    Copyright 2009 Webster Smalley
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

/**
 * @author Matthew Smalley
 *
 */
public class Launcher {
	public static void printHelp() {
		System.out.println("Usage: ");
		System.out.println("\tiplayerutils <command> <params>");
		System.out.println("\n");
		System.out.println("Command: REENCODEFOLDER inputfolder outputfolder preset");
		System.out.println("Command: PDP");
	}
	public static void main(String args[]) {
		if (args.length < 1) {
			printHelp();
			System.exit(1);
		}
		if (args[0].toUpperCase().equals("REENCODEFOLDER")) {
			String inputFolder = args[1];
			String outputFolder = args[2];
			String preset = args[3];
			ApplicationContext ac = new ClassPathXmlApplicationContext("beans-production.xml");
			
			MP3Utils mp3Utils = (MP3Utils)ac.getBean("mp3Utils");
			mp3Utils.reencodeFolder(inputFolder, outputFolder, preset);
		} else if (args[0].toUpperCase().equals("PDP")) {
			ApplicationContext ac = new ClassPathXmlApplicationContext("beans-production.xml");
			PostDownloadProcessor pdp = (PostDownloadProcessor)ac.getBean("pdp");
			pdp.go();
		} else {
			printHelp();
		}
	}
}
