package com.webstersmalley.iplayer.organiser;

import java.io.File;

/**
 *    Copyright 2009 Webster Smalley
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */


public class RadioProgramBean {
    private String seriesTitle;
    private String episodeTitle;
    private String genre;
    private String artist;
    public String getSeriesTitle() {
        return seriesTitle;
    }
    public void setSeriesTitle(String seriesTitle) {
        this.seriesTitle = seriesTitle;
    }
    public String getEpisodeTitle() {
        return episodeTitle;
    }
    public void setEpisodeTitle(String episodeTitle) {
        this.episodeTitle = episodeTitle;
    }
    public String getGenre() {
        return genre;
    }
    public void setGenre(String genre) {
        this.genre = genre;
    }
    public String getArtist() {
        return artist;
    }
    public void setArtist(String artist) {
        this.artist = artist;
    }
    
    public String toString() {
    	StringBuffer sb = new StringBuffer();
    	sb.append("Radio Program: title=");
    	sb.append(episodeTitle);
    	sb.append(", series=");
    	sb.append(seriesTitle);
    	sb.append(", artist=");
    	sb.append(artist);
    	sb.append(", genre=");
    	sb.append(genre);
    	return sb.toString();
    }
    
	public String getFilename() {
		return getEpisodeTitle() + ".mp3";
	}
	
	public String getFolder() {
		return getArtist() + File.separator + getSeriesTitle();
	}
}
