/**
 *    Copyright 2009 Webster Smalley
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package com.webstersmalley.iplayer.informer;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathFactory;

import org.junit.Assert;
import org.junit.Test;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Matthew Smalley
 *
 */
public class TestProgramInformer {
	@Test
	public void testProgramInformer() {
		try {
			ProgramInformer pi = new ProgramInformer();
			Document d = pi.getProgramSetInfo("b00jv9mw");
			XPath xpath = XPathFactory.newInstance().newXPath();
			XPathExpression expr = xpath.compile("//title");
			Element e = (Element)expr.evaluate(d, XPathConstants.NODE);
			Assert.assertNotNull(e.getTextContent());
			System.out.println(e.getTextContent());
		} catch (Exception e) {
			Assert.fail();
			e.printStackTrace();
		}
	}
}
