package com.webstersmalley.iplayer.organiser;
/**
 *    Copyright 2009 Webster Smalley
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestRadioProgramBeanFactory {

    @Test
    public void testRadioProgramBeanCreation() {
        ApplicationContext ac = new ClassPathXmlApplicationContext("beans-test.xml");
        RadioProgramBeanFactory factory = (RadioProgramBeanFactory)ac.getBean("radioProgramBeanFactory");
        RadioProgramBean bean = factory.getBeanFromFile("2025_-_Episode_2_b00j0hbm_default.partial.mp3");
        
        Assert.assertEquals(bean.getArtist(), "BBC Radio");
        Assert.assertEquals(bean.getEpisodeTitle(), "2025 - Episode 2");
        Assert.assertEquals(bean.getGenre(), "Audio book/play");
        Assert.assertEquals(bean.getSeriesTitle(), "2025");

        bean = factory.getBeanFromFile("A_Stone_Woman_-_Episode_3_b007jtx6.mp3");
        
        Assert.assertEquals(bean.getArtist(), "BBC Radio");
        Assert.assertEquals(bean.getEpisodeTitle(), "A Stone Woman - Episode 3");
        Assert.assertEquals(bean.getGenre(), "Audio book/play");
        Assert.assertEquals(bean.getSeriesTitle(), "A Stone Woman");

    }
}
